Package: org.gradle.api.tasks.javadoc

## [Java] Class AntGroovydoc

- org.gradle.api.tasks.javadoc.AntGroovydoc

- Generates groovy doc using Ant.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntGroovydoc (org.gradle.api.internal.project.IsolatedAntBuilder ant, org.gradle.api.internal.ClassPathRegistry ignored)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `execute(FileCollection source, File destDir, boolean use, String windowTitle, String docTitle, String header, String footer, String overview, boolean includePrivate, Set<Groovydoc.Link> links, Iterable<File> groovyClasspath, Iterable<File> classpath, Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AntGroovydoc(org.gradle.api.internal.project.IsolatedAntBuilder ant, @SuppressWarnings("UnusedParameters") org.gradle.api.internal.ClassPathRegistry ignored)

  - ### Method Detail

    - #### public void execute(FileCollection source, File destDir, boolean use, String windowTitle, String docTitle, String header, String footer, String overview, boolean includePrivate, Set<Groovydoc.Link> links, Iterable<File> groovyClasspath, Iterable<File> classpath, Project project)